### Constructor

# GimpUi SpinButton new_with_range

#### Declaration [src]

    GtkWidget*
    gimp_spin_button_new_with_range (
      gdouble min,
      gdouble max,
      gdouble step
    )

#### Description [src]

This is a convenience constructor that allows creation of a numeric `GimpSpinButton` without manually creating an adjustment. The value is initially set to the minimum value and a page increment of 10 * `step` is the default. The precision of the spin button is equivalent to the precision of `step`.

Note that the way in which the precision is derived works best if `step` is a power of ten. If the resulting precision is not suitable for your needs, use `gtk_spin_button_set_digits()` to correct it.

Available since: | 2.10.10

#### Parameters

`min` | `gdouble`
| Minimum allowable value.
`max` | `gdouble`
| Maximum allowable value.
`step` | `gdouble`
| Increment added or subtracted by spinning the widget.

#### Return value

Returns: | `GtkWidget`
| The new spin button as a `GtkWidget`.
| The data is owned by the called function.